﻿# Powerinit for Adaptive Images

Enable by invoking `AddPowerinit(apiKey)` on startup, commonly in `Startup.cs`:

```
public void ConfigureServices(IServiceCollection services)
{
    services.AddCms()
            .AddAdaptiveImages()
            .AddPowerinit(apiHost, apiKey); // Enable the Powerinit image provider
}
```

Rebuild and reload the Optimizely UI and search among Powerinit
images using the "Image bank" component in the right pane.

If this is the only search-enabled image provider, you may need to click
**Reset views** in user settings to make the image bank component visible.

## Changelog

| Version  | Summary |
| ------------- | ------------- |
| 2.0.0.0 | .NET 5 / CMS 12 support |